org.apache.http.conn

## Interface SchemePortResolver

- All Known Implementing Classes:
    DefaultSchemePortResolver

      public interface SchemePortResolver

  Strategy for default port resolution for protocol schemes.
  Since:
    4.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `resolve(org.apache.http.HttpHost host)` Returns the actual port for the host based on the protocol scheme.

- - ### Method Detail

    - #### resolve

          int resolve(org.apache.http.HttpHost host)
                      throws UnsupportedSchemeException

      Returns the actual port for the host based on the protocol scheme.
      Throws:
        `UnsupportedSchemeException`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.